version: "3.9"
services:
  web:
    build:
      context: .
      dockerfile: Dockerfile-poetry
    ports:
      - 8000:8000
    command: poetry run python manage.py runserver 0.0.0.0:8000
    volumes:
      - .:/app
    depends_on:
      - db
  db:
    image: postgres
    restart: always
    volumes:
      - ./data/db:/var/lib/postgresql/data
    environment:
      - POSTGRES_HOST_AUTH_METHOD=trust
      - POSTGRES_DB=postgres
      - POSTGRES_USER=postgres
      - POSTGRES_PASSWORD=postgres
